searchNodes=[{"doc":"Makes a GenServer call to a registered server. Will wait a bit if the server is not yet registered on restarts. Also supports GenServer cast and GenServer stop.","ref":"GenServer.Proxy.html","title":"GenServer.Proxy","type":"behaviour"},{"doc":"Makes a GenServer call to a registered server given its server ID. Will wait a bit if the server is not yet registered on restarts.The given module (or by default &lt;caller's_module&gt;.Proxy) must implement the 2 callbacks of GenServer.Proxy (this module).Examples# Assuming the following callback module: defmodule Game.Engine.Proxy do @behaviour GenServer.Proxy @impl GenServer.Proxy def server_name(game_name), do: {:via, Registry, {:registry, game_name}} @impl GenServer.Proxy def server_unregistered(game_name), do: IO.puts(&quot;Game \#{game_name} not started.&quot;) end # We could use the call macro like so: defmodule Game.Engine do use GenServer.Proxy def summary(game_name), do: call(:summary, game_name) ... end","ref":"GenServer.Proxy.html#call/3","title":"GenServer.Proxy.call/3","type":"macro"},{"doc":"","ref":"GenServer.Proxy.html#cast/3","title":"GenServer.Proxy.cast/3","type":"macro"},{"doc":"Converts a server ID into a server name like a via tuple.Examples@impl GenServer.Proxy def server_name(game_name), do: {:via, Registry, {:registry, game_name}} @impl GenServer.Proxy def server_name(game_name), do: {:global, {GameServer, game_name}}","ref":"GenServer.Proxy.html#c:server_name/1","title":"GenServer.Proxy.server_name/1","type":"callback"},{"doc":"Called when the server remains unregistered despite waiting a bit.Examples@impl GenServer.Proxy def server_unregistered(game_name), do: IO.puts(&quot;Game \#{game_name} not started.&quot;)","ref":"GenServer.Proxy.html#c:server_unregistered/1","title":"GenServer.Proxy.server_unregistered/1","type":"callback"},{"doc":"","ref":"GenServer.Proxy.html#stop/3","title":"GenServer.Proxy.stop/3","type":"macro"},{"doc":"","ref":"GenServer.Proxy.Caller.html","title":"GenServer.Proxy.Caller","type":"module"},{"doc":"","ref":"GenServer.Proxy.Caller.html#call/3","title":"GenServer.Proxy.Caller.call/3","type":"function"},{"doc":"","ref":"GenServer.Proxy.Caster.html","title":"GenServer.Proxy.Caster","type":"module"},{"doc":"","ref":"GenServer.Proxy.Caster.html#cast/3","title":"GenServer.Proxy.Caster.cast/3","type":"function"},{"doc":"","ref":"GenServer.Proxy.Log.html","title":"GenServer.Proxy.Log","type":"module"},{"doc":"","ref":"GenServer.Proxy.Log.html#error/2","title":"GenServer.Proxy.Log.error/2","type":"function"},{"doc":"","ref":"GenServer.Proxy.Log.html#info/2","title":"GenServer.Proxy.Log.info/2","type":"function"},{"doc":"","ref":"GenServer.Proxy.Log.html#warn/2","title":"GenServer.Proxy.Log.warn/2","type":"function"},{"doc":"","ref":"GenServer.Proxy.Stopper.html","title":"GenServer.Proxy.Stopper","type":"module"},{"doc":"","ref":"GenServer.Proxy.Stopper.html#stop/3","title":"GenServer.Proxy.Stopper.stop/3","type":"function"},{"doc":"","ref":"GenServer.Proxy.Timer.html","title":"GenServer.Proxy.Timer","type":"module"},{"doc":"","ref":"GenServer.Proxy.Timer.html#wait/2","title":"GenServer.Proxy.Timer.wait/2","type":"function"}]